# SmiLinearData Class Reference

`#include <SmiLinearData.hpp>`

Inheritance diagram for SmiLinearData:
[legend]
Collaboration diagram for SmiLinearData:
[legend]

List of all members.

## Public Member Functions
const CoinPackedMatrix & | getMatrix ()
const CoinPackedVector & | getColLower ()
const CoinPackedVector & | getColUpper ()
const CoinPackedVector & | getObjective ()
const CoinPackedVector & | getRowLower ()
const CoinPackedVector & | getRowUpper ()
CoinPackedMatrix & | getMutableMatrix ()
CoinPackedVector & | getMutableColLower ()
CoinPackedVector & | getMutableColUpper ()
CoinPackedVector & | getMutableObjective ()
CoinPackedVector & | getMutableRowLower ()
CoinPackedVector & | getMutableRowUpper ()
| SmiLinearData ()
| SmiLinearData (SmiLinearData &d)
| SmiLinearData (CoinPackedMatrix &matrix, CoinPackedVector &dclo, CoinPackedVector &dcup, CoinPackedVector &dobj, CoinPackedVector &drlo, CoinPackedVector &drup)
| SmiLinearData (OsiSolverInterface &osi)
| ~SmiLinearData ()
## Private Attributes
CoinPackedMatrix | matrix_
CoinPackedVector | dclo_
CoinPackedVector | dcup_
CoinPackedVector | dobj_
CoinPackedVector | drlo_
CoinPackedVector | drup_

## Detailed Description

Definition at line 23 of file SmiLinearData.hpp.

## Constructor & Destructor Documentation

SmiLinearData::SmiLinearData | ( |  | ) | `[inline]`

Definition at line 41 of file SmiLinearData.hpp.

SmiLinearData::SmiLinearData | ( | SmiLinearData & | d | ) | `[inline]`

Definition at line 49 of file SmiLinearData.hpp.

SmiLinearData::SmiLinearData | ( | CoinPackedMatrix & | matrix,
|  | CoinPackedVector & | dclo,
|  | CoinPackedVector & | dcup,
|  | CoinPackedVector & | dobj,
|  | CoinPackedVector & | drlo,
|  | CoinPackedVector & | drup |
| ) |  |  | `[inline]`

Definition at line 58 of file SmiLinearData.hpp.

SmiLinearData::SmiLinearData | ( | OsiSolverInterface & | osi | ) | `[inline]`

Definition at line 68 of file SmiLinearData.hpp.

SmiLinearData::~SmiLinearData | ( |  | ) | `[inline]`

Definition at line 77 of file SmiLinearData.hpp.

## Member Function Documentation

const CoinPackedMatrix& SmiLinearData::getMatrix | ( |  | ) | `[inline]`

Definition at line 26 of file SmiLinearData.hpp.

const CoinPackedVector& SmiLinearData::getColLower | ( |  | ) | `[inline]`

Definition at line 27 of file SmiLinearData.hpp.

const CoinPackedVector& SmiLinearData::getColUpper | ( |  | ) | `[inline]`

Definition at line 28 of file SmiLinearData.hpp.

const CoinPackedVector& SmiLinearData::getObjective | ( |  | ) | `[inline]`

Definition at line 29 of file SmiLinearData.hpp.

const CoinPackedVector& SmiLinearData::getRowLower | ( |  | ) | `[inline]`

Definition at line 30 of file SmiLinearData.hpp.

const CoinPackedVector& SmiLinearData::getRowUpper | ( |  | ) | `[inline]`

Definition at line 31 of file SmiLinearData.hpp.

CoinPackedMatrix& SmiLinearData::getMutableMatrix | ( |  | ) | `[inline]`

Definition at line 33 of file SmiLinearData.hpp.

CoinPackedVector& SmiLinearData::getMutableColLower | ( |  | ) | `[inline]`

Definition at line 34 of file SmiLinearData.hpp.

CoinPackedVector& SmiLinearData::getMutableColUpper | ( |  | ) | `[inline]`

Definition at line 35 of file SmiLinearData.hpp.

CoinPackedVector& SmiLinearData::getMutableObjective | ( |  | ) | `[inline]`

Definition at line 36 of file SmiLinearData.hpp.

CoinPackedVector& SmiLinearData::getMutableRowLower | ( |  | ) | `[inline]`

Definition at line 37 of file SmiLinearData.hpp.

CoinPackedVector& SmiLinearData::getMutableRowUpper | ( |  | ) | `[inline]`

Definition at line 38 of file SmiLinearData.hpp.

## Member Data Documentation

CoinPackedMatrix SmiLinearData::matrix_`[private]`

Definition at line 79 of file SmiLinearData.hpp.

CoinPackedVector SmiLinearData::dclo_`[private]`

Definition at line 80 of file SmiLinearData.hpp.

CoinPackedVector SmiLinearData::dcup_`[private]`

Definition at line 81 of file SmiLinearData.hpp.

CoinPackedVector SmiLinearData::dobj_`[private]`

Definition at line 82 of file SmiLinearData.hpp.

CoinPackedVector SmiLinearData::drlo_`[private]`

Definition at line 83 of file SmiLinearData.hpp.

CoinPackedVector SmiLinearData::drup_`[private]`

Definition at line 84 of file SmiLinearData.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/Smi/src/SmiLinearData.hpp